---
import yaml from 'js-yaml';
import fs from 'fs';

const footerStyleContents = fs.readFileSync(new URL('./data/footer/style.yaml', import.meta.url), 'utf8');
const footerStyle = yaml.load(footerStyleContents);

const footerButtonsContents = fs.readFileSync(new URL('./data/footer/footer_buttons.yaml', import.meta.url), 'utf8');
const footerButtons = yaml.load(footerButtonsContents);

---
<footer class={footerStyle.footerClass}>
    {footerButtons.map((footerButton) => (
        <a href={footerButton.href} class={footerStyle.footerButtonClass}>
            {footerButton.title}
        </a>
    ))}
</footer>
